summaryrefslogtreecommitdiff
path: root/bg1/install-patch-intl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bg1/install-patch-intl.sh')
-rwxr-xr-xbg1/install-patch-intl.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/bg1/install-patch-intl.sh b/bg1/install-patch-intl.sh
index 745ee38..500b675 100755
--- a/bg1/install-patch-intl.sh
+++ b/bg1/install-patch-intl.sh
@@ -36,7 +36,9 @@ setuptmp
getpatch $patch_url
unzip "${TMPDIR}/${patch_name}" -d "${TMPDIR}" || diesoftly
-unshield -g "$LANGUAGE" -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
+# work around unshield bug (#2801016 in SynCE project)
+#unshield -g "$LANGUAGE" -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
+cd "$TMPDIR" && unshield -g "$LANGUAGE" -d . -L x "${TMPDIR}/data1.cab" || diesoftly
LANGUAGE="$(echo $LANGUAGE|tr A-Z a-z|tr ' ' _)" # alter formatting
cp -R "${TMPDIR}/${LANGUAGE}/"* "$TARGETDIR" || diesoftly